Package com.pixelmed.convert

# Class TIFFValues

java.lang.Object
com.pixelmed.convert.TIFFValues

Direct Known Subclasses:
  `TIFFValues.TIFFAsciiValues`, `TIFFValues.TIFFByteValues`, `TIFFValues.TIFFIfd8Values`, `TIFFValues.TIFFIfdValues`, `TIFFValues.TIFFLong8Values`, `TIFFValues.TIFFLongValues`, `TIFFValues.TIFFRationalValues`, `TIFFValues.TIFFSByteValues`, `TIFFValues.TIFFShortValues`, `TIFFValues.TIFFSlong8Values`, `TIFFValues.TIFFSLongValues`, `TIFFValues.TIFFSRationalValues`, `TIFFValues.TIFFSShortValues`, `TIFFValues.TIFFUndefinedValues`

public class TIFFValues extends Object

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`TIFFValues.TIFFAsciiValues`
`static class`
`TIFFValues.TIFFByteValues`
`static class`
`TIFFValues.TIFFIfd8Values`
`static class`
`TIFFValues.TIFFIfdValues`
`static class`
`TIFFValues.TIFFLong8Values`
`static class`
`TIFFValues.TIFFLongValues`
`static class`
`TIFFValues.TIFFRationalValues`
`static class`
`TIFFValues.TIFFSByteValues`
`static class`
`TIFFValues.TIFFShortValues`
`static class`
`TIFFValues.TIFFSlong8Values`
`static class`
`TIFFValues.TIFFSLongValues`
`static class`
`TIFFValues.TIFFSRationalValues`
`static class`
`TIFFValues.TIFFSShortValues`
`static class`
`TIFFValues.TIFFUndefinedValues`

## Constructor Summary

Constructors
Constructor
Description
`TIFFValues()`

## Method Summary

Modifier and Type
Method
Description
`static TIFFValues`
`extractValues(int tagType, byte[] buffer, ByteOrder useByteOrder, int numberOfValues)`
`byte[]`
`getByteValues()`
`long[]`
`getNumericValues()`
`long`
`getSingleNumericValue(int valueNumber, long defaultValue)`
`static long`
`getSingleNumericValue(TIFFValues values, int valueNumber, long defaultValue)`
`String[]`
`getStringValues()`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TIFFValues

public TIFFValues()

## Method Details

### extractValues

public static TIFFValues extractValues(int tagType, byte[] buffer, ByteOrder useByteOrder, int numberOfValues)

### getSingleNumericValue

public long getSingleNumericValue(int valueNumber, long defaultValue)

### getSingleNumericValue

public static long getSingleNumericValue(TIFFValues values, int valueNumber, long defaultValue)

### getNumericValues

public long[] getNumericValues()

### getByteValues

public byte[] getByteValues()

### getStringValues

public String[] getStringValues()